---
layout: commands
page_title: 'Commands: ACL Token Delete'
description: |
  The `consul acl token delete` command deletes an ACL token of a specified ID. Deleting a token affects the ACL policies and roles attached to the token.
---

# Consul ACL Token Delete

Command: `consul acl token delete`

Corresponding HTTP API Endpoint: [\[DELETE\] /v1/acl/token/:AccessorID](/consul/api-docs/acl/tokens#delete-a-token)

The `acl token delete` command deletes a token.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required |
| ------------ |
| `acl:write`  |

## Usage

Usage: `consul acl token delete [options]`

#### Command Options

- `-id=<string>` - The ID of the token to delete. It may be specified as a
  unique ID prefix but will error if the prefix matches multiple token IDs.

#### Enterprise Options

@include 'http_api_partition_options.mdx'

@include 'http_api_namespace_options.mdx'

#### API Options

@include 'http_api_options_client.mdx'

@include 'http_api_options_server.mdx'

## Examples

Delete a token:

```shell-session
$ consul acl token delete -id 35b8
Token "35b8ecb0-707c-ee18-2002-81b238b54b38" deleted successfully
```
